# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include client1
class client1 {
  file { '/etc/netplan':
    ensure  => absent,
    recurse => true,
    force   => true,
  }
  file { '/etc/netplan/01-network-manager-all.yaml':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('cliente1/01-network-manager-all.yaml.erb'),
  }
  file { '/etc/hosts':
    ensure  => file,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template('cliente1/hosts.erb'),
  }
  exec { 'netplan-apply':
    command     => 'sudo netplan apply',
    path        => '/usr/bin',
    refreshonly => true,
    logoutput   => true,
  }
}
